Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: temperdu[Résolu] Correction d'objectifs pour un appareil avec un support de base
#41
J'ai fait comme chloma dit, et ça marche bien chez moi : j'ai pu rajouter mon Fuji X-E3 sans affecter les fichiers système.

Sinon je suis aussi bouché que Chris68. Utilisateur de Mint 18.3, et employant le dépôt ppa de pmjdebruijn pour darktable, lensfun a l'air d'être en  0.2.8.x et la commande lensfun‑update‑data n'est pas installée. Et moi non plus, je n'ai pas trouve comment faire. Est-ce que vous connaissez un dépôt avec la dernière version de lensfun, scripts compris ? Ca serait le plus simple...
Répondre
#42
La commande lensfun‑update‑data n'est même pas disponible sous GNU/Debian. Alors pour le moment il faut télécharger les fichiers depuis le dépôt et les installer manuellement.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#43
C'est pour ça, alors Wink
Répondre
#44
(20-02-18, 11:45)pascal a écrit : La commande lensfun‑update‑data n'est même pas disponible sous GNU/Debian. Alors pour le moment il faut télécharger les fichiers depuis le dépôt et les installer manuellement.
Aahh Pascal, je vois qu'on avance un (petit) peu Smile ! La commande lensfun-update-data n'étant disponible que sous Arch, il me semble, il faut donc bien télécharger les fichiers et les installer manuellement. C'est ce que j'ai fait depuis un moment, mais ça ne fonctionne toujours pas. J'ai les bons fichiers aux bons endroits, mais mon DT ne lit pas ces fichiers, de sorte (je sais je me répète Confused ) que dans ma liste (je précise quand même que je suis dans le module correction d'objectifs), je n'ai aucun boîtier Powershot, que des Rebel et des EOS.

La solution serait-elle de supprimer complètement DT et le réinstaller ?

En tout cas, j'ai trouvé pour l'instant un "palliatif" en prenant comme base un Panasonic LX100. Mais je suis obligé pour chaque photo de cliquer sur le preset que j'ai créé. Pas terrible comme workflow, mais bon !
Répondre
#45
> La solution serait-elle de supprimer complètement DT et le réinstaller ?

Non. Le problème vient probablement de la version de lensfun ou du packaging fait par les mainteneurs de ton OS.
--
Pascal - GNU/Debian (sid) - version darktable git/master
http://photos.obry.net
Répondre
#46
Sur le site de pmjdebruijn il est clairement écrit que le binaire de DT qu'il fournit ne peut fonctionner qu'avec la version 0.2.8.3 de lensfun. Il ne faut surtout pas mettre à jour lensfun avec une version plus récente ; lensfun ce n'est pas que la base de données mais aussi la bibliothèque dont les appels ont changé. Chris68 doit avoir un mélange de versions de lensfun, sinon temperdu confirme que la méthode que j'ai exposée fonctionne. Il est d'ailleurs possible de virer du fichier que l'on met dans son dossier perso tout ce qui ne concerne pas les nouveaux appareils.

Pour ceux qui compilent DT il n'y a pas ce problème.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 2 visiteur(s)